% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-nodes.R
\name{draw_node_label_base}
\alias{draw_node_label_base}
\title{Draw Node Label}
\usage{
draw_node_label_base(
  x,
  y,
  label,
  cex = 1,
  col = "black",
  font = 1,
  family = "sans",
  hjust = 0.5,
  vjust = 0.5,
  srt = 0,
  pos = NULL,
  offset = 0.5
)
}
\arguments{
\item{x, y}{Label position coordinates.}

\item{label}{Text to display.}

\item{cex}{Character expansion factor.}

\item{col}{Text color.}

\item{font}{Font face (1=plain, 2=bold, 3=italic, 4=bold italic).}

\item{family}{Font family ("sans", "serif", "mono").}

\item{hjust}{Horizontal justification (0=left, 0.5=center, 1=right).}

\item{vjust}{Vertical justification (0=bottom, 0.5=center, 1=top).}

\item{srt}{String rotation angle in degrees.}

\item{pos}{Position relative to point (NULL=centered, 1=below, 2=left, 3=above, 4=right).}

\item{offset}{Offset distance when using pos.}
}
\description{
Renders a text label at or near a node.
}
\keyword{internal}
